Skip to main content
GET
/
ncw
/
wallets
/
{walletId}
/
accounts
/
{accountId}
/
assets
/
{assetId}
TypeScript
const response: Promise<FireblocksResponse<EmbeddedWalletAssetResponse>> = fireblocks.embeddedWallets.getEmbeddedWalletAsset(embeddedWalletsApiGetEmbeddedWalletAssetRequest);
{
  "id": "<string>",
  "symbol": "USDT",
  "name": "Tether USD",
  "decimals": 6,
  "networkProtocol": "ETH",
  "testnet": true,
  "hasFee": true,
  "baseAsset": "ETH_TEST5",
  "coinType": 0,
  "blockchain": "ETH_TEST5",
  "ethNetwork": "<string>",
  "ethContractAddress": "<string>",
  "issuerAddress": "rnDV4JiwgRNhudPY2sm65AzECpRXaasL4r",
  "blockchainSymbol": "BTH",
  "deprecated": false,
  "blockchainDisplayName": "BTH",
  "algorithm": "MPC_ECDSA_SECP256K1"
}

Documentation Index

Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

walletId
string
required

Wallet Id

accountId
string
required

The ID of the account

assetId
string
required

The ID of the asset

Response

Successful response

id
string
required
symbol
string
required

The asset symbol

Example:

"USDT"

name
string
required

The asset name

Example:

"Tether USD"

decimals
number
required

Number of decimals

Example:

6

networkProtocol
string
required

Netowrk protocol of the blockchain (BTC, ETH)

Example:

"ETH"

testnet
boolean
required

Is in testnet

Example:

true

hasFee
boolean
required

Has fee

Example:

true

baseAsset
string
required

Base asset symbol BTC_TEST, ETH_TEST5)

Example:

"ETH_TEST5"

coinType
number
required

Unique identifier of an asset (0 for BTC, 60 for ETH, etc.)

Example:

0

blockchain
string
required

The blockchain native asset id which the token is deployed on

Example:

"ETH_TEST5"

ethNetwork
string
ethContractAddress
string
issuerAddress
string

The address of the issuer of this token. Will be part of the identifier of this token on chain.

Example:

"rnDV4JiwgRNhudPY2sm65AzECpRXaasL4r"

blockchainSymbol
string

Name of blockchain

Example:

"BTH"

deprecated
boolean

Is blockchain deprecated

Example:

false

blockchainDisplayName
string

Name of blockchain

Example:

"BTH"

algorithm
enum<string>
Available options:
MPC_ECDSA_SECP256K1,
MPC_EDDSA_ED25519